<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_241) on Thu Mar 05 11:09:26 WAT 2020 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>All Classes (bookMicroservice 0.0.1-SNAPSHOT API)</title>
<meta name="date" content="2020-03-05">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<h1 class="bar">All&nbsp;Classes</h1>
<div class="indexContainer">
<ul>
<li><a href="com/example/bookMicroservice/models/Author.html" title="class in com.example.bookMicroservice.models">Author</a></li>
<li><a href="com/example/bookMicroservice/repositories/AuthorRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="interfaceName">AuthorRepository</span></a></li>
<li><a href="com/example/bookMicroservice/services/AuthorService.html" title="class in com.example.bookMicroservice.services">AuthorService</a></li>
<li><a href="com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></li>
<li><a href="com/example/bookMicroservice/models/BookCategory.html" title="enum in com.example.bookMicroservice.models">BookCategory</a></li>
<li><a href="com/example/bookMicroservice/controller/BookController.html" title="class in com.example.bookMicroservice.controller">BookController</a></li>
<li><a href="com/example/bookMicroservice/dto/BookDto.html" title="class in com.example.bookMicroservice.dto">BookDto</a></li>
<li><a href="com/example/bookMicroservice/mapper/BookDtoMapper.html" title="class in com.example.bookMicroservice.mapper">BookDtoMapper</a></li>
<li><a href="com/example/bookMicroservice/BookMicroserviceApplication.html" title="class in com.example.bookMicroservice">BookMicroserviceApplication</a></li>
<li><a href="com/example/bookMicroservice/repositories/BookRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="interfaceName">BookRepository</span></a></li>
<li><a href="com/example/bookMicroservice/services/BookService.html" title="class in com.example.bookMicroservice.services">BookService</a></li>
<li><a href="com/example/bookMicroservice/controller/BusinessController.html" title="class in com.example.bookMicroservice.controller">BusinessController</a></li>
<li><a href="com/example/bookMicroservice/services/BusinessService.html" title="class in com.example.bookMicroservice.services">BusinessService</a></li>
<li><a href="com/example/bookMicroservice/models/Library.html" title="class in com.example.bookMicroservice.models">Library</a></li>
<li><a href="com/example/bookMicroservice/repositories/LibraryRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="interfaceName">LibraryRepository</span></a></li>
<li><a href="com/example/bookMicroservice/models/Magazine.html" title="class in com.example.bookMicroservice.models">Magazine</a></li>
<li><a href="com/example/bookMicroservice/controller/MagazineController.html" title="class in com.example.bookMicroservice.controller">MagazineController</a></li>
<li><a href="com/example/bookMicroservice/dto/MagazineDto.html" title="class in com.example.bookMicroservice.dto">MagazineDto</a></li>
<li><a href="com/example/bookMicroservice/mapper/MagazineDtoMapper.html" title="class in com.example.bookMicroservice.mapper">MagazineDtoMapper</a></li>
<li><a href="com/example/bookMicroservice/repositories/MagazineRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="interfaceName">MagazineRepository</span></a></li>
<li><a href="com/example/bookMicroservice/services/MagazineService.html" title="class in com.example.bookMicroservice.services">MagazineService</a></li>
<li><a href="com/example/bookMicroservice/models/Novel.html" title="class in com.example.bookMicroservice.models">Novel</a></li>
<li><a href="com/example/bookMicroservice/controller/NovelController.html" title="class in com.example.bookMicroservice.controller">NovelController</a></li>
<li><a href="com/example/bookMicroservice/dto/NovelDto.html" title="class in com.example.bookMicroservice.dto">NovelDto</a></li>
<li><a href="com/example/bookMicroservice/mapper/NovelDtoMapper.html" title="class in com.example.bookMicroservice.mapper">NovelDtoMapper</a></li>
<li><a href="com/example/bookMicroservice/repositories/NovelRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="interfaceName">NovelRepository</span></a></li>
<li><a href="com/example/bookMicroservice/services/NovelService.html" title="class in com.example.bookMicroservice.services">NovelService</a></li>
<li><a href="com/example/bookMicroservice/exceptions/ObjectAlreadyExistsException.html" title="class in com.example.bookMicroservice.exceptions">ObjectAlreadyExistsException</a></li>
<li><a href="com/example/bookMicroservice/exceptions/ObjectNotFoundException.html" title="class in com.example.bookMicroservice.exceptions">ObjectNotFoundException</a></li>
<li><a href="com/example/bookMicroservice/exceptions/RestResponseEntityExceptionHandler.html" title="class in com.example.bookMicroservice.exceptions">RestResponseEntityExceptionHandler</a></li>
<li><a href="com/example/bookMicroservice/beans/SaleBean.html" title="class in com.example.bookMicroservice.beans">SaleBean</a></li>
<li><a href="com/example/bookMicroservice/models/Stock.html" title="class in com.example.bookMicroservice.models">Stock</a></li>
<li><a href="com/example/bookMicroservice/models/StockKey.html" title="class in com.example.bookMicroservice.models">StockKey</a></li>
<li><a href="com/example/bookMicroservice/repositories/StockRepository.html" title="interface in com.example.bookMicroservice.repositories"><span class="interfaceName">StockRepository</span></a></li>
</ul>
</div>
</body>
</html>
